Module javafx.controls
Package javafx.scene.control.skin

# Class TableRowSkin<T>

java.lang.Object
javafx.scene.control.SkinBase<TableRow<T>>
javafx.scene.control.skin.LabeledSkinBase<TableRow<T>>
javafx.scene.control.skin.CellSkinBase<TableRow<T>>
javafx.scene.control.skin.TableRowSkinBase<T,TableRow<T>,TableCell<T,?>>
javafx.scene.control.skin.TableRowSkin<T>

All Implemented Interfaces:
  `Skin<TableRow<T>>`

public class TableRowSkin<T> extends TableRowSkinBase<T,TableRow<T>,TableCell<T,?>>
Default skin implementation for the `TableRow` control.

Since:
  9
See Also:
  - `TableRow`

## Property Summary

### Properties inherited from class javafx.scene.control.skin.TableRowSkinBase

`graphic`

### Properties inherited from class javafx.scene.control.skin.CellSkinBase

`cellSize`

## Constructor Summary

Constructors
Constructor
Description
`TableRowSkin(TableRow<T> control)`
Creates a new TableRowSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

## Method Summary

Modifier and Type
Method
Description
`protected TableCell<T,?>`
`createCell(TableColumnBase tcb)`
Creates a new cell instance that is suitable for representing the given table column instance.
`void`
`dispose()`
Called by a Skinnable when the Skin is replaced on the Skinnable.
`protected TableColumn<T,?>`
`getTableColumn(TableCell<T,?> cell)`
Returns the `TableColumnBase` instance for the given cell instance.
`protected ObservableList<TableColumn<T,?>>`
`getVisibleLeafColumns()`
Returns an unmodifiable list containing the currently visible leaf columns.
`protected Object`
`queryAccessibleAttribute(AccessibleAttribute attribute, Object... parameters)`
This method is called by the assistive technology to request the value for an attribute.
`protected void`
`updateCell(TableCell<T,?> cell, TableRow<T> row)`
A method to allow the given cell to be told that it is a member of the given row.

### Methods inherited from class javafx.scene.control.skin.TableRowSkinBase

`computeMaxHeight, computeMinHeight, computePrefHeight, computePrefWidth, graphicProperty, layoutChildren`

### Methods inherited from class javafx.scene.control.skin.CellSkinBase

`cellSizeProperty, getCellSize, getClassCssMetaData, getCssMetaData`

### Methods inherited from class javafx.scene.control.skin.LabeledSkinBase

`computeBaselineOffset, computeMaxWidth, computeMinWidth, layoutLabelInArea, layoutLabelInArea, updateChildren`

### Methods inherited from class javafx.scene.control.SkinBase

`consumeMouseEvents, executeAccessibleAction, getChildren, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, registerChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableRowSkin

public TableRowSkin(TableRow<T> control)
Creates a new TableRowSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

Parameters:
  `control` - The control that this skin should be installed onto.

## Method Details

### dispose

public void dispose()
Called by a Skinnable when the Skin is replaced on the Skinnable. This method allows a Skin to implement any logic necessary to clean up itself after the Skin is no longer needed. It may be used to release native resources. The methods `Skin.getSkinnable()` and `Skin.getNode()` should return null following a call to dispose. Calling dispose twice has no effect.

Specified by:
  `dispose` in interface `Skin<T>`
Overrides:
  `dispose` in class `SkinBase<TableRow<T>>`

### queryAccessibleAttribute

protected Object queryAccessibleAttribute(AccessibleAttribute attribute, Object... parameters)
This method is called by the assistive technology to request the value for an attribute.

This method is commonly overridden by subclasses to implement attributes that are required for a specific role.
If a particular attribute is not handled, the superclass implementation must be called.

Overrides:
  `queryAccessibleAttribute` in class `LabeledSkinBase<TableRow<T>>`
Parameters:
  `attribute` - the requested attribute
  `parameters` - optional list of parameters
Returns:
  the value for the requested attribute
See Also:
  - `AccessibleAttribute`
  - `Node.queryAccessibleAttribute(javafx.scene.AccessibleAttribute, java.lang.Object...)`

### createCell

protected TableCell<T,?> createCell(TableColumnBase tcb)
Creates a new cell instance that is suitable for representing the given table column instance.

Specified by:
  `createCell` in class `TableRowSkinBase<T,TableRow<T>,TableCell<T,?>>`
Parameters:
  `tcb` - the table column
Returns:
  the created cell

### getVisibleLeafColumns

protected ObservableList<TableColumn<T,?>> getVisibleLeafColumns()
Returns an unmodifiable list containing the currently visible leaf columns.

Specified by:
  `getVisibleLeafColumns` in class `TableRowSkinBase<T,TableRow<T>,TableCell<T,?>>`
Returns:
  the list of visible leaf columns

### updateCell

protected void updateCell(TableCell<T,?> cell, TableRow<T> row)
A method to allow the given cell to be told that it is a member of the given row. How this is implemented is dependent on the actual cell implementation.

Specified by:
  `updateCell` in class `TableRowSkinBase<T,TableRow<T>,TableCell<T,?>>`
Parameters:
  `cell` - The cell for which we want to inform it of its owner row.
  `row` - The row which will be set on the given cell.

### getTableColumn

protected TableColumn<T,?> getTableColumn(TableCell<T,?> cell)
Returns the `TableColumnBase` instance for the given cell instance.

Specified by:
  `getTableColumn` in class `TableRowSkinBase<T,TableRow<T>,TableCell<T,?>>`
Parameters:
  `cell` - The cell for which a TableColumn is desired.
Returns:
  the table column